package cn.ibizlab.assetmanagement.core.asset.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.asset.domain.EAMAssetType;
/**
 * 关系型数据实体[EAMAssetType] 查询条件对象
 */
@Slf4j
@Data
public class EAMAssetTypeSearchContext extends QueryWrapperContext<EAMAssetType> {

	private String n_eamassettypename_like;//[资产类型名称]
	public void setN_eamassettypename_like(String n_eamassettypename_like) {
        this.n_eamassettypename_like = n_eamassettypename_like;
        if(!ObjectUtils.isEmpty(this.n_eamassettypename_like)){
            this.getSearchCond().like("eamassettypename", n_eamassettypename_like);
        }
    }
	private String n_eamassetstatemodelid_eq;//[资产状态模型标识]
	public void setN_eamassetstatemodelid_eq(String n_eamassetstatemodelid_eq) {
        this.n_eamassetstatemodelid_eq = n_eamassetstatemodelid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamassetstatemodelid_eq)){
            this.getSearchCond().eq("eamassetstatemodelid", n_eamassetstatemodelid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamassettypename", query)   
            );
		 }
	}
}



